#
# Conditional build:
%bcond_with	tests	# "make check" run (some pylint false positive?)

Summary:	A utility for viewing problems that have occurred with the system
Summary(pl.UTF-8):	Narzędzie do przeglądania problemów, które wystąpiły w systemie
Name:		gnome-abrt
Version:	1.0.0
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://fedorahosted.org/released/abrt/%{name}-%{version}.tar.gz
# Source0-md5:	768273f4f8729fe98aa8913041027532
Patch0:		%{name}-pylint.patch
URL:		https://github.com/abrt/abrt/wiki/ABRT-Project
BuildRequires:	abrt-gui-devel >= 2.1.7
BuildRequires:	asciidoc
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libreport-gtk-devel >= 2.0.20
BuildRequires:	pkgconfig
%{?with_tests:BuildRequires:	pylint}
BuildRequires:	python-devel >= 1:2.7
%{?with_tests:BuildRequires:	python-libreport}
BuildRequires:	python-pygobject3-devel >= 3.0
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto
Requires(post,postun):	gtk-update-icon-cache
Requires:	abrt-dbus
Requires:	abrt-gui-libs >= 2.1.7
Requires:	hicolor-icon-theme
Requires:	libreport-python
Requires:	python-dbus
Requires:	python-pygobject3 >= 3.0
Requires:	python-pyinotify
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GNOME application allows users to browse through detected problems
and provides them with convenient way for managing these problems.

%description -l pl.UTF-8
Aplikacja GNOME pozwalająca użytkownikom przeglądać wykryte problemy i
zapewniająca wygodny sposób zarządzania tymi problemami.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,#!/usr/bin/env python,#!/usr/bin/python,' src/gnome-abrt

%build
%configure \
	--disable-silent-rules \
	%{!?with_tests:--with-nopylint}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gnome_abrt/wrappers/*.la
%py_postclean

# just a copy of cs
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/cs_CZ

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-abrt
%dir %{py_sitedir}/gnome_abrt
%{py_sitedir}/gnome_abrt/*.py[co]
%dir %{py_sitedir}/gnome_abrt/url
%{py_sitedir}/gnome_abrt/url/*.py[co]
%dir %{py_sitedir}/gnome_abrt/wrappers
%{py_sitedir}/gnome_abrt/wrappers/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/gnome_abrt/wrappers/_wrappers.so
%{_datadir}/gnome-abrt
%{_datadir}/appdata/gnome-abrt.appdata.xml
%{_desktopdir}/gnome-abrt.desktop
%{_iconsdir}/hicolor/*/apps/gnome-abrt.png
%{_iconsdir}/hicolor/*/status/gnome-abrt.png
%{_mandir}/man1/gnome-abrt.1*
%changelog
* Tue Oct 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-abrt.git;a=log;h=master

* Tue Oct 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 06aa941
- updated to 1.0.0

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 8f018d1
- updated to 0.3.7

* Sat Mar 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 10e5ae7
- updated to 0.3.6

* Tue Feb 04 2014 Jakub Bogusz <qboosh@pld-linux.org> cc18d1b
- updated to 0.3.5

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 0a23a34
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1406554
- release 3 (by relup.sh)

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> f4c1c4a
- update URL

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> 5eec88c
- R abrt-dbus for org.freedesktop.problems service

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> e4d779b
- Requires python-pyinotify

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> afe360f
- updated to 0.3.3

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 4271b31
- /usr/share/appdata is now provided by filesystem package. Release 2

* Sun Sep 22 2013 Jakub Bogusz <qboosh@pld-linux.org> a4b53cf
- updated to 0.3.1

* Thu Sep 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 227d9aa
- BR: python-pygobject3-devel

* Thu Sep 05 2013 Jakub Bogusz <qboosh@pld-linux.org> e851090
- updated to 0.3.0

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 77732c3
- updated to 0.2.12

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 10ce2c2
- R: libreport-python

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 11bdae2
- added pylint patch, but still fails (looks like false positive)

* Fri Apr 05 2013 Jakub Bogusz <qboosh@pld-linux.org> ad30d5d
- update_icon_cache dependencies

* Fri Apr 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 03a042b
- new

